
QGIS Application - Bug report #16016

SVG menu icons on macOS do not show up

2016-12-27 07:05 PM - Larry Shaffer

Status: Closed

Priority: Normal

Assignee: Larry Shaffer

Category: OsX UI

Affected QGIS version:master Regression?: No

Operating System: macOS Easy fix?: No

Pull Request or Patch supplied:No Resolution: up/downstream

Crashes QGIS or corrupts data:No Copied to github as #: 23931

Description

Same bug as reported and supposedly fixed upstream:

https://bugreports.qt.io/browse/QTBUG-55932

https://codereview.qt-project.org/#/c/177396/4//ALL,unified

Still a bug until fix verified with QGIS master built against Qt 5.6.3, 5.7.2 or 5.8.0 RC.

History

#1 - 2017-03-06 03:09 PM - Giovanni Manghi

- Priority changed from High to Normal

- Category changed from GUI to OsX UI

#2 - 2017-03-08 04:07 PM - Larry Shaffer

- Resolution set to up/downstream

- Status changed from Open to Closed

Fixed upstream with Qt 5.8.0 (tested locally). Supposedly also fixed in 5.7.2, but have not tested (as it has not yet been released).

#3 - 2017-03-08 04:11 PM - Larry Shaffer

- File qgis3-macos-menu-icons_fixed.png added

Files

qgis3-macos-menu-icons_fixed.png 337 KB 2017-03-08 Larry Shaffer
